Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class DistributionPointName

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.DistributionPointName

All Implemented Interfaces:
  ASN1Choice, DEREncodable

public class DistributionPointName
extends ASN1Encodable
implements ASN1Choice

The DistributionPointName object.

     DistributionPointName ::= CHOICE {
         fullName                 [0] GeneralNames,
         nameRelativeToCRLIssuer  [1] RelativeDistinguishedName
     }

Field Summary
`static int` | `FULL_NAME`
`static int` | `NAME_RELATIVE_TO_CRL_ISSUER`

Constructor Summary
`DistributionPointName(ASN1TaggedObject obj)`
`DistributionPointName(int type, ASN1Encodable name)`
`DistributionPointName(int type, DEREncodable name)`

Method Summary
`static DistributionPointName` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPointName` | `getInstance(java.lang.Object obj)`
`ASN1Encodable` | `getName()` Return the tagged object inside the distribution point name.
`int` | `getType()` Return the tag number applying to the underlying choice.
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL_NAME

    public static final int FULL_NAME

See Also:
  Constant Field Values

### NAME_RELATIVE_TO_CRL_ISSUER

    public static final int NAME_RELATIVE_TO_CRL_ISSUER

See Also:
  Constant Field Values

Constructor Detail

### DistributionPointName

    public DistributionPointName(int type,
                                 DEREncodable name)

### DistributionPointName

    public DistributionPointName(int type,
                                 ASN1Encodable name)

### DistributionPointName

    public DistributionPointName(ASN1TaggedObject obj)

Method Detail

### getInstance

    public static DistributionPointName getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

### getInstance

    public static DistributionPointName getInstance(java.lang.Object obj)

### getType

    public int getType()

  Return the tag number applying to the underlying choice.

  Returns:
    the tag number for this point name.

### getName

    public ASN1Encodable getName()

  Return the tagged object inside the distribution point name.

  Returns:
    the underlying choice item.

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD